function getFrameIDspp(id){
    var elem = document.getElementById(id);
    if (elem) {
        if(/^iframe$/i.test(elem.tagName)) return id;
        var elems = elem.getElementsByTagName("iframe");
        if (!elems.length) return null; //No iframe found, FAILURE
        for (var i=0; i<elems.length; i++) {
           if (/^https?:\/\/(?:www\.)?youtube(?:-nocookie)?\.com(\/|$)/i.test(elems[i].src)) break;
        }
        elem = elems[i]; //The only, or the best iFrame
        if (elem.id) return elem.id;
        do {
            id += "-frame";
        } while (document.getElementById(id));
        elem.id = id;
        return id;
    }
    return null;
}
var YT_ready = (function() {
    var onReady_funcs = [], api_isReady = false;
    return function(func, b_before) {
        if (func === true) {
            api_isReady = true;
            while (onReady_funcs.length) {
                onReady_funcs.shift()();
            }
        } else if (typeof func == "function") {
            if (api_isReady) func();
            else onReady_funcs[b_before?"unshift":"push"](func); 
        }
    }
})();
function onYouTubeIframeAPIReady() {YT_ready(true)}
(function() {
  var s = document.createElement("script");
  s.src = (location.protocol == "https:" ? "https" : "http") + "://www.youtube.com/iframe_api";
  var before = document.getElementsByTagName("script")[0];
  before.parentNode.insertBefore(s, before);
})();
