<?php
global $covert_playert_db_version;
$covert_playert_db_version = '1.13';
function covert_playert_install()
{
    global $wpdb;
    global $covert_playert_db_version;
    $table_name = $wpdb->prefix . 'cptrsubmenu';
    $sql = "CREATE TABLE " . $table_name . " (
      id int(11) NOT NULL AUTO_INCREMENT,
      name tinytext NULL,
	  videotitle VARCHAR(100) NULL,
	  enablecalltoactiontext VARCHAR(100) NULL,
      headertext VARCHAR(4000) NULL,
      enableskip VARCHAR(10) NULL,
	  youtubevideoid VARCHAR(30) NULL,
	  cpytvideowidth VARCHAR(10) NULL,
      cpytvideoheight VARCHAR(10) NULL,
      cpytautohide VARCHAR(10) NULL,
	  cpytautoplay VARCHAR(10) NULL,
	  cpytcontrols VARCHAR(10) NULL,
      cpytrelatedvideos VARCHAR(10) NULL,
      cpytshowlogo VARCHAR(10) NULL,
	  cpytshowtitle VARCHAR(10) NULL,
	  cpyttheme VARCHAR(10) NULL,
	  cpythighquality VARCHAR(10) NULL,
	  cpyttextboxbordercolor VARCHAR(10) NULL,
	  cpytbuttoncolor VARCHAR(10) NULL,
	  cpytopacity VARCHAR(10) NULL,
	  cpytbuttonhovercolor VARCHAR(10) NULL,
	  cpytflowtube VARCHAR(30) NULL,
	  cpytflowwebm VARCHAR(100) NULL,
	  cpytflowmp4 VARCHAR(100) NULL,
	  cpytflowogv VARCHAR(100) NULL,
	  cpytflowvidwidth VARCHAR(20) NULL,
	  cpytflowvidheight VARCHAR(20) NULL,
	  cpytcontroltype VARCHAR(30) NULL,
	  cpythidecontrolbar VARCHAR(30) NULL,
	  cpytnocontrolbar VARCHAR(30) NULL,
	  cpytplaybuttonclass VARCHAR(30) NULL,
	  cpytasidetimeclass VARCHAR(30) NULL,
	  cpytcolorlightclass VARCHAR(30) NULL,
	  cpytnotimeclass VARCHAR(30) NULL,
	  cpytnovolumeclass VARCHAR(30) NULL,
	  cpytnomuteclass VARCHAR(30) NULL,
	  cpytfixedcontrolsclass VARCHAR(30) NULL,
	  cpytnotoggleclass VARCHAR(30) NULL,
	  cpytenablepreload VARCHAR(30) NULL,
	  cpyttransparent VARCHAR(30) NULL,
	  cpytembedding VARCHAR(30) NULL,
	  cpytfullscreen VARCHAR(30) NULL,
	  cpytcontrolbarcolor VARCHAR(30) NULL,
	  cpyttimelinecolor VARCHAR(30) NULL,
	  cpytprogresscolor VARCHAR(30) NULL,
	  cpytbuffercolor VARCHAR(30) NULL,
	  cpytsplashurl VARCHAR(500) NULL,
	  cpytautoplayflow VARCHAR(30) NULL,
	  cpytloop VARCHAR(30) NULL,
	  cpytoptinlocation VARCHAR(30) NULL,
	  cpytbuttontext VARCHAR(30) NULL,
	  cpytoptinplacestart VARCHAR(30) NULL,
	  cpytoptinplaceend VARCHAR(30) NULL,
	  cpytoptinplacepause VARCHAR(30) NULL,
	  cpytoptinplacespecific VARCHAR(30) NULL,
	  cpytoptinplacespecifictime VARCHAR(30) NULL,
	  cpytoverlayimageurl VARCHAR(500) NULL,
	  cpytheadertextfontfamily VARCHAR(500) NULL,
	  cpytheadertextfontsize VARCHAR(30) NULL,
	  cpytheadertextfontcolor VARCHAR(30) NULL,
	  cpytenablepoweredby VARCHAR(10) NULL,
	  cpytpoweredbylinkurl VARCHAR(500) NULL,
	  cpytflowflash VARCHAR(100) NULL,
	  cpytrtmpurl VARCHAR(100) NULL,
	  cpytlogoposition VARCHAR(30) NULL,
	  cpytenableskinoptin VARCHAR(10) NULL,
	  cpytskinoptinsizes VARCHAR(50) NULL,
	  cpytscrollautoplay VARCHAR(10) NULL,
	  cpytoptinjustbottom VARCHAR(10) NULL,
	  cpytoptinbottomallvideo VARCHAR(10) NULL,
	  cpytbottomoverlayheight VARCHAR(10) NULL,
	  cpytstartpoint VARCHAR(10) NULL,
	  cpytendpoint VARCHAR(10) NULL,
	  cpytshannotaion VARCHAR(10) NULL,
	  cpytaspectratiores VARCHAR(10) NULL,
      PRIMARY KEY  (id)
    );";
    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
    add_option('covert_playert_db_version', $covert_playert_db_version);
    $installed_ver = get_option('covert_playert_db_version');
    if ($installed_ver != $covert_playert_db_version) {
        $sql = "CREATE TABLE " . $table_name . " (
          id int(11) NOT NULL AUTO_INCREMENT,
          name tinytext NULL,
	  	  videotitle VARCHAR(100) NULL,
		  enablecalltoactiontext VARCHAR(10) NULL,
      	  headertext VARCHAR(4000) NULL,
      	  enableskip VARCHAR(10) NULL,
		  youtubevideoid VARCHAR(30) NULL,
		  cpytvideowidth VARCHAR(10) NULL,
      	  cpytvideoheight VARCHAR(10) NULL,
      	  cpytautohide VARCHAR(10) NULL,
	  	  cpytautoplay VARCHAR(10) NULL,
	  	  cpytcontrols VARCHAR(10) NULL,
      	  cpytrelatedvideos VARCHAR(10) NULL,
      	  cpytshowlogo VARCHAR(10) NULL,
	  	  cpytshowtitle VARCHAR(10) NULL,
	  	  cpyttheme VARCHAR(10) NULL,
	  	  cpythighquality VARCHAR(10) NULL,
		  cpyttextboxbordercolor VARCHAR(10) NULL,
	  	  cpytbuttoncolor VARCHAR(10) NULL,
	  	  cpytopacity VARCHAR(10) NULL,
		  cpytbuttonhovercolor VARCHAR(10) NULL,
		  cpytflowtube VARCHAR(30) NULL,
	  	  cpytflowwebm VARCHAR(100) NULL,
	  	  cpytflowmp4 VARCHAR(100) NULL,
	  	  cpytflowogv VARCHAR(100) NULL,
	  	  cpytflowvidwidth VARCHAR(20) NULL,
	  	  cpytflowvidheight VARCHAR(20) NULL,
		  cpytcontroltype VARCHAR(30) NULL,
	  	  cpythidecontrolbar VARCHAR(30) NULL,
	  	  cpytnocontrolbar VARCHAR(30) NULL,
	  	  cpytplaybuttonclass VARCHAR(30) NULL,
	  	  cpytasidetimeclass VARCHAR(30) NULL,
	  	  cpytcolorlightclass VARCHAR(30) NULL,
	  	  cpytnotimeclass VARCHAR(30) NULL,
	  	  cpytnovolumeclass VARCHAR(30) NULL,
	  	  cpytnomuteclass VARCHAR(30) NULL,
	  	  cpytfixedcontrolsclass VARCHAR(30) NULL,
	  	  cpytnotoggleclass VARCHAR(30) NULL,
	  	  cpytenablepreload VARCHAR(30) NULL,
	  	  cpyttransparent VARCHAR(30) NULL,
	  	  cpytembedding VARCHAR(30) NULL,
	  	  cpytfullscreen VARCHAR(30) NULL,
	  	  cpytcontrolbarcolor VARCHAR(30) NULL,
	  	  cpyttimelinecolor VARCHAR(30) NULL,
	  	  cpytprogresscolor VARCHAR(30) NULL,
	  	  cpytbuffercolor VARCHAR(30) NULL,
	  	  cpytsplashurl VARCHAR(500) NULL,
	  	  cpytautoplayflow VARCHAR(30) NULL,
	  	  cpytloop VARCHAR(30) NULL,
		  cpytoptinlocation VARCHAR(30) NULL,
		  cpytbuttontext VARCHAR(30) NULL,
		  cpytoptinplacestart VARCHAR(30) NULL,
	  	  cpytoptinplaceend VARCHAR(30) NULL,
	  	  cpytoptinplacepause VARCHAR(30) NULL,
	  	  cpytoptinplacespecific VARCHAR(30) NULL,
		  cpytoptinplacespecifictime VARCHAR(30) NULL,
		  cpytoverlayimageurl VARCHAR(500) NULL,
		  cpytheadertextfontfamily VARCHAR(500) NULL,
	   	  cpytheadertextfontsize VARCHAR(30) NULL,
	 	  cpytheadertextfontcolor VARCHAR(30) NULL,
		  cpytenablepoweredby VARCHAR(10) NULL,
		  cpytpoweredbylinkurl VARCHAR(500) NULL,
		  cpytflowflash VARCHAR(100) NULL,
	  	  cpytrtmpurl VARCHAR(100) NULL,
	  	  cpytlogoposition VARCHAR(30) NULL,
		  cpytenableskinoptin VARCHAR(10) NULL,
	  	  cpytskinoptinsizes VARCHAR(50) NULL,
		  cpytscrollautoplay VARCHAR(10) NULL,
		  cpytoptinjustbottom VARCHAR(10) NULL,
		  cpytbottomoverlayheight VARCHAR(10) NULL,
		  cpytstartpoint VARCHAR(10) NULL,
	  	  cpytendpoint VARCHAR(10) NULL,
	  	  cpytshannotaion VARCHAR(10) NULL,
		  cpytaspectratiores VARCHAR(10) NULL,
          PRIMARY KEY  (id)
        );";
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
        update_option('covert_playert_db_version', $covert_playert_db_version);
    }
}
register_activation_hook(__FILE__, 'covert_playert_install');
function covert_playert_update_db_check()
{
    global $covert_playert_db_version;
    if (get_site_option('covert_playert_db_version') != $covert_playert_db_version) {
        covert_playert_install();
    }
}
add_action('plugins_loaded', 'covert_playert_update_db_check');
if (!class_exists('WP_List_Table')) {
    require_once(ABSPATH . 'wp-admin/includes/class-wp-list-table.php');
}
class covert_playert_List_Table extends WP_List_Table
{
    function __construct()
    {
        global $status, $page;
        parent::__construct(array(
            'singular' => 'video',
            'plural' => 'videos',
        ));
    }
    function column_default($item, $column_name)
    {
        return $item[$column_name];
    }
    function column_enableskip($item)
    {
        return '<em>' . $item['enableskip'] . '</em>';
    }
    function column_name($item)
    {
        $actions = array(
            'edit' => sprintf('<a href="?page=videos_form&id=%s">%s</a>', $item['id'], 'Edit'),
            'delete' => sprintf('<a href="?page=%s&action=delete&id=%s">%s</a>', $_REQUEST['page'], $item['id'], 'Delete'),
			'Duplicate' => sprintf('<a href="?page=%s&action=duplicate&id=%s">%s</a>', $_REQUEST['page'], $item['id'], 'Duplicate Record'),
        );
        return sprintf('%s %s',
            $item['name'],
            $this->row_actions($actions)
        );
    }
    function column_cb($item)
    {
        return sprintf(
            '<input type="checkbox" name="id[]" value="%s" />',
            $item['id']
        );
    }
    function get_columns()
    {
        $columns = array(
            'cb' => '<input type="checkbox" />',
            'name' => __('Video ID', 'covert_playert'),
			'videotitle' => __('Video Title', 'covert_playert'),
			'cpytflowtube' => __('Video Type', 'covert_playert'),
            'enableskip' => __('Enable Skip', 'covert_playert'),
        );
        return $columns;
    }
    function get_sortable_columns()
    {
        $sortable_columns = array(
            'name' => array('name', true),
            'headertext' => array('headertext', false),
			'videotitle' => array('videotitle', false),
			'enablecalltoactiontext' => array('enablecalltoactiontext', false),
            'enableskip' => array('enableskip', false),
			'youtubevideoid' => array('youtubevideoid', false),
			'cpytvideowidth' => array('cpytvideowidth', false),
			'cpytvideoheight' => array('cpytvideoheight', false),
			'cpytautohide' => array('cpytautohide', false),
			'cpytautoplay' => array('cpytautoplay', false),
			'cpytcontrols' => array('cpytcontrols', false),
			'cpytrelatedvideos' => array('cpytrelatedvideos', false),
			'cpytshowlogo' => array('cpytshowlogo', false),
			'cpytshowtitle' => array('cpytshowtitle', false),
			'cpyttheme' => array('cpyttheme', false),
			'cpythighquality' => array('cpythighquality', false),
			'cpyttextboxbordercolor' => array('cpyttextboxbordercolor', false),
			'cpytbuttoncolor' => array('cpytbuttoncolor', false),
			'cpytopacity' => array('cpytopacity', false),
			'cpytbuttonhovercolor' => array('cpytbuttonhovercolor', false),
			'cpytflowtube' => array('cpytflowtube', false),
			'cpytflowwebm' => array('cpytflowwebm', false),
			'cpytflowmp4' => array('cpytflowmp4', false),
			'cpytflowogv' => array('cpytflowogv', false),
			'cpytflowvidwidth' => array('cpytflowvidwidth', false),
			'cpytflowvidheight' => array('cpytflowvidheight', false),
			'cpytcontroltype' => array('cpytcontroltype', false),
			'cpythidecontrolbar' => array('cpythidecontrolbar', false),
			'cpytnocontrolbar' => array('cpytnocontrolbar', false),
			'cpytplaybuttonclass' => array('cpytplaybuttonclass', false),
			'cpytasidetimeclass' => array('cpytasidetimeclass', false),
			'cpytcolorlightclass' => array('cpytcolorlightclass', false),
			'cpytnotimeclass' => array('cpytnotimeclass', false),
			'cpytnovolumeclass' => array('cpytnovolumeclass', false),
			'cpytnomuteclass' => array('cpytnomuteclass', false),
			'cpytfixedcontrolsclass' => array('cpytfixedcontrolsclass', false),
			'cpytnotoggleclass' => array('cpytnotoggleclass', false),
			'cpytenablepreload' => array('cpytenablepreload', false),
			'cpyttransparent' => array('cpyttransparent', false),
			'cpytembedding' => array('cpytembedding', false),
			'cpytfullscreen' => array('cpytfullscreen', false),
			'cpytcontrolbarcolor' => array('cpytcontrolbarcolor', false),
			'cpyttimelinecolor' => array('cpyttimelinecolor', false),
			'cpytprogresscolor' => array('cpytprogresscolor', false),
			'cpytbuffercolor' => array('cpytbuffercolor', false),
			'cpytsplashurl' => array('cpytsplashurl', false),
			'cpytautoplayflow' => array('cpytautoplayflow', false),
			'cpytloop' => array('cpytloop', false),
			'cpytoptinlocation' => array('cpytoptinlocation', false),
			'cpytbuttontext' => array('cpytbuttontext', false),
			'cpytoptinplacestart' => array('cpytoptinplacestart', false),
			'cpytoptinplaceend' => array('cpytoptinplaceend', false),
			'cpytoptinplacepause' => array('cpytoptinplacepause', false),
			'cpytoptinplacespecific' => array('cpytoptinplacespecific', false),
			'cpytoptinplacespecifictime' => array('cpytoptinplacespecifictime', false),
			'cpytoverlayimageurl' => array('cpytoverlayimageurl', false),
			'cpytheadertextfontfamily' => array('cpytheadertextfontfamily', false),
			'cpytheadertextfontsize' => array('cpytheadertextfontsize', false),
			'cpytheadertextfontcolor' => array('cpytheadertextfontcolor', false),
			'cpytenablepoweredby' => array('cpytenablepoweredby', false),
			'cpytpoweredbylinkurl' => array('cpytpoweredbylinkurl', false),
			'cpytflowflash' => array('cpytflowflash', false),
	  	  	'cpytrtmpurl' => array('cpytrtmpurl', false),
	  	  	'cpytlogoposition' => array('cpytlogoposition', false),
			'cpytenableskinoptin' => array('cpytenableskinoptin', false),
	  	  	'cpytskinoptinsizes' => array('cpytskinoptinsizes', false),
			'cpytscrollautoplay' => array('cpytscrollautoplay', false),
			'cpytoptinjustbottom' => array('cpytoptinjustbottom', false),
			'cpytbottomoverlayheight' => array('cpytbottomoverlayheight', false),
			'cpytstartpoint' => array('cpytstartpoint', false),
			'cpytendpoint' => array('cpytendpoint', false),
			'cpytshannotaion' => array('cpytshannotaion', false),
			'cpytaspectratiores' => array('cpytaspectratiores', false),
        );
        return $sortable_columns;
    }
    function get_bulk_actions()
    {
        $actions = array(
            'delete' => 'Delete'
        );
        return $actions;
    }
    function process_bulk_action()
    {
        global $wpdb;
        $table_name = $wpdb->prefix . 'cptrsubmenu';
        if ('delete' === $this->current_action()) {
            $ids = isset($_REQUEST['id']) ? $_REQUEST['id'] : array();
            if (is_array($ids)) $ids = implode(',', $ids);
            if (!empty($ids)) {
                $wpdb->query("DELETE FROM $table_name WHERE id IN($ids)");
            }
        }
		if ('duplicate' === $this->current_action()) {
            $ids = isset($_REQUEST['id']) ? $_REQUEST['id'] : array();
            if (is_array($ids)) $ids = implode(',', $ids);
            if (!empty($ids)) {
				cpDuplicateMySQLRecord ($table_name, 'id', $ids);
                //$wpdb->query("DELETE FROM $table_name WHERE id IN($ids)");
            }
        }
    }
    function prepare_items()
    {
        global $wpdb;
        $table_name = $wpdb->prefix . 'cptrsubmenu';
        $per_page = 100;
        $columns = $this->get_columns();
        $hidden = array();
        $sortable = $this->get_sortable_columns();
        $this->_column_headers = array($columns, $hidden, $sortable);
        $this->process_bulk_action();
        $total_items = $wpdb->get_var("SELECT COUNT(id) FROM $table_name");
        $paged = isset($_REQUEST['paged']) ? max(0, intval($_REQUEST['paged']) - 1) : 0;
        $orderby = (isset($_REQUEST['orderby']) && in_array($_REQUEST['orderby'], array_keys($this->get_sortable_columns()))) ? $_REQUEST['orderby'] : 'name';
        $order = (isset($_REQUEST['order']) && in_array($_REQUEST['order'], array('asc', 'desc'))) ? $_REQUEST['order'] : 'asc';
        $this->items = $wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name ORDER BY $orderby $order LIMIT %d OFFSET %d", $per_page, $paged), ARRAY_A);
        $this->set_pagination_args(array(
            'total_items' => $total_items,
            'per_page' => $per_page,
            'total_pages' => ceil($total_items / $per_page)
        ));
    }
}
function covert_player_videos_page_handler()
{
    global $wpdb;
    $table = new covert_playert_List_Table();
    $table->prepare_items();
    $message = '';
    if ('delete' === $table->current_action()) {
        $message = '<div class="updated below-h2" id="message"><p>' . sprintf(__('Records deleted: %d', 'covert_playert'), count($_REQUEST['id'])) . '</p></div>';
    }
    ?>
<div class="wrap">
    <div class="icon32 icon32-posts-post" id="icon-edit"><br></div>
    <h2><?php _e('Videos', 'covert_playert')?> <a class="add-new-h2"
                                 href="<?php echo get_admin_url(get_current_blog_id(), 'admin.php?page=videos_form');?>"><?php _e('Add/Edit Video', 'covert_playert')?></a>
    </h2>
    <?php echo $message; ?>
    <form id="videos-table" method="GET">
        <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>"/>
        <?php $table->display() ?>
    </form>
</div>
<?php
}
function covert_player_videos_form_page_handler()
{
    global $wpdb;
    $table_name = $wpdb->prefix . 'cptrsubmenu';
    $message = '';
    $notice = '';
    $default = array(
        'id' => 0,
        'name' => null,
		'videotitle' => null,
		'enablecalltoactiontext' => null,
        'headertext' => null,
        'enableskip' => null,
		'youtubevideoid' => null,
		'cpytvideowidth' => null,
		'cpytvideoheight' => null,
        'cpytautohide' => null,
        'cpytautoplay' => null,
		'cpytcontrols' => null,
		'cpytrelatedvideos' => null,
		'cpytshowlogo' => null,
        'cpytshowtitle' => null,
        'cpyttheme' => null,
		'cpythighquality' => null,
		'cpyttextboxbordercolor' => null,
	  	'cpytbuttoncolor' => null,
	  	'cpytopacity' => null,
		'cpytbuttonhovercolor' => null,
		'cpytflowtube' => null,
	  	'cpytflowwebm' => null,
	  	'cpytflowmp4' => null,
	  	'cpytflowogv' => null,
	  	'cpytflowvidwidth' => null,
	  	'cpytflowvidheight' => null,	
		'cpytcontroltype' => null,	
		'cpythidecontrolbar' => null,
		'cpytnocontrolbar' => null,
		'cpytplaybuttonclass' => null,
		'cpytasidetimeclass' => null,
		'cpytcolorlightclass' => null,
		'cpytnotimeclass' => null,
		'cpytnovolumeclass' => null,
		'cpytnomuteclass' => null,
		'cpytfixedcontrolsclass' => null,
		'cpytnotoggleclass' => null,
		'cpytenablepreload' => null,
		'cpyttransparent' => null,
		'cpytembedding' => null,
		'cpytfullscreen' => null,
		'cpytcontrolbarcolor' => null,
		'cpyttimelinecolor' => null,
		'cpytprogresscolor' => null,
		'cpytbuffercolor' => null,
		'cpytsplashurl' => null,
		'cpytautoplayflow' => null,
		'cpytloop' => null,
		'cpytoptinlocation' => null,
		'cpytbuttontext' => null,
		'cpytoptinplacestart' => null,
	  	'cpytoptinplaceend' => null,
	  	'cpytoptinplacepause' => null,
	  	'cpytoptinplacespecific' => null,
		'cpytoptinplacespecifictime' => null,
		'cpytoverlayimageurl' => null,
		'cpytheadertextfontfamily' => null,
		'cpytheadertextfontsize' => null,
		'cpytheadertextfontcolor' => null,
		'cpytenablepoweredby' => null,
	    'cpytpoweredbylinkurl' => null,
		'cpytflowflash' => null,
  	  	'cpytrtmpurl' => null,
  	  	'cpytlogoposition' => null,
		'cpytenableskinoptin' => null,
  	  	'cpytskinoptinsizes' => null,	
		'cpytscrollautoplay' => null,
		'cpytoptinjustbottom' => null,
		'cpytbottomoverlayheight' => null,
		'cpytstartpoint' => null,
		'cpytendpoint' => null,
		'cpytshannotaion' => null,
		'cpytaspectratiores' => null,
    );
    if (wp_verify_nonce($_REQUEST['nonce'], basename(__FILE__))) {
        $item = shortcode_atts($default, $_REQUEST);
        $item_valid = covert_playert_validate_video($item);
        if ($item_valid === true) {
            if ($item['id'] == 0) {
                $result = $wpdb->insert($table_name, $item);
                $item['id'] = $wpdb->insert_id;
                //if ($result) {
                    $message = __('Record was successfully saved', 'covert_playert');
                //} else {
				//$wpdb->show_errors();
				//$wpdb->print_error();
                 //   $notice = __('There was an error while saving record', 'covert_playert');
                //}
            } else {
                $result = $wpdb->update($table_name, $item, array('id' => $item['id']));
                //if ($result) {
                    $message = __('Record was successfully updated', 'covert_playert');
               // } else {
                 //   $notice = __('There was an error while updating record', 'covert_playert');
                //}
            }
        } else {
            $notice = $item_valid;
        }
    }
    else {
        $item = $default;
        if (isset($_REQUEST['id'])) {
            $item = $wpdb->get_row($wpdb->prepare("SELECT * FROM $table_name WHERE id = %d", $_REQUEST['id']), ARRAY_A);
            if (!$item) {
                $item = $default;
                $notice = __('Item not found', 'covert_playert');
            }
        }
    }
    add_meta_box('videos_form_meta_box', 'Add/Edit Video', 'covert_playert_videos_form_meta_box_handler', 'video', 'normal', 'default');
    ?>
<div class="wrap">
    <div class="icon32 icon32-posts-post" id="icon-edit"><br></div>
    <h2><?php _e('Video', 'covert_playert')?> <a class="add-new-h2" href="<?php echo get_admin_url(get_current_blog_id(), 'admin.php?page=videos');?>"><?php _e('back to list', 'covert_playert')?></a>
    </h2>
    <?php if (!empty($notice)): ?>
    <div id="notice" class="error"><p><?php echo $notice ?></p></div>
    <?php endif;?>
    <?php if (!empty($message)): ?>
    <div id="message" class="updated"><p><?php echo $message ?></p></div>
    <?php endif;?>
    <form id="form" method="POST">
        <input type="hidden" name="nonce" value="<?php echo wp_create_nonce(basename(__FILE__))?>"/>
        <?php /* NOTICE: here we storing id to determine will be item added or updated */ ?>
        <input type="hidden" name="id" value="<?php echo $item['id'] ?>"/>
        <div class="metabox-holder" id="poststuff">
            <div id="post-body">
                <div id="post-body-content">
                    <?php /* And here we call our custom meta box */ ?>
                    <?php do_meta_boxes('video', 'normal', $item); ?>
                    <input type="submit" value="<?php _e('Save Changes', 'covert_playert')?>" id="submit" class="button-primary" name="submit">
                </div>
            </div>
        </div>
    </form>
</div>
<?php
}
function covert_playert_videos_form_meta_box_handler($item)
{
	global $wpdb;
    $firat_table = $wpdb->prefix . 'cptrsubmenu';
	$optinmaxid = $wpdb->get_var( "SELECT max(id) FROM $firat_table" );
	if($optinmaxid == '' || $optinmaxid == '0') { $optinmaxid = '0'; }
	$optinmaxids = (int)$optinmaxid + 1;
	$mylatestcpvidid = 'cpvideo'. $optinmaxids;
    ?>
<table cellspacing="2" cellpadding="5" style="width: 100%;" class="form-table">
    <tbody>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="name"><?php _e('Video ID', 'covert_playert')?></label>
        </th>
        <td>
            <input id="name" name="name" type="text" style="width: 95%" readonly="readonly" value="<?php if(esc_attr($item['name']) != '') { echo esc_attr($item['name']); } else { echo $mylatestcpvidid;} ?>"
                   size="50" class="code">
        </td>
        <th valign="top" scope="row">
            <label for="headertext"><?php _e('Video Title', 'covert_playert')?></label>
        </th>
        <td>
            <input id="videotitle" name="videotitle" type="text" style="width: 95%" value="<?php echo esc_attr($item['videotitle']);?>"
                   size="50" class="code">
        </td>
    
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytoptinlocation"><?php _e('Call To Action Text', 'covert_playert')?></label>
        </th>
        <td colspan="3">
        <input type="checkbox" value="true" name="enablecalltoactiontext" id="enablecalltoactiontext" <?php if(esc_attr($item['enablecalltoactiontext']) == 'true') { echo 'checked="checked"'; }?> style="width:3%;"> Enable Call To Action Text (Will Disable Optin)
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="headertext"><?php _e('Header Text / Call To Action Text', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <textarea id="headertext" name="headertext" style="width: 80%; height: 100px;"><?php echo stripslashes($item['headertext']);?></textarea> HTML Allowed
        </td>
        
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytheadertextfontfamily"><?php _e('Header Text Font Family', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytheadertextfontfamily" id="cpytheadertextfontfamily" style="width:180px;">
                <option value="Arial,Helvetica,Sans-serif" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'Arial,Helvetica,Sans-serif') { echo 'selected="selected"'; }?>>Arial,Helvetica,Sans-serif</option>
                <option value="Tahoma,Geneva,sans-serif" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'Tahoma,Geneva,sans-serif') { echo 'selected="selected"'; }?>>Tahoma,Geneva,sans-serif</option>
                <option value="impact,chicago" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'impact,chicago') { echo 'selected="selected"'; }?>>impact,chicago</option>
                <option value="georgia,palatino" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'georgia,palatino') { echo 'selected="selected"'; }?>>georgia,palatino</option>
                <option value="trebuchet ms,geneva" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'trebuchet ms,geneva') { echo 'selected="selected"'; }?>>trebuchet ms,geneva</option>
                <option value="Palatino Linotype, Book Antiqua, Palatino, serif" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'Palatino Linotype, Book Antiqua, Palatino, serif') { echo 'selected="selected"'; }?>>Palatino Linotype, Book Antiqua, Palatino, serif</option>
                <option value="Comic Sans MS, cursive, sans-serif" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'Comic Sans MS, cursive, sans-serif') { echo 'selected="selected"'; }?>>Comic Sans MS, cursive, sans-serif</option>
                
                <option value="Lucida Sans Unicode, Lucida Grande, sans-serif" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'Lucida Sans Unicode, Lucida Grande, sans-serif') { echo 'selected="selected"'; }?>>Lucida Sans Unicode, Lucida Grande, sans-serif</option>
                <option value="Courier New, Courier, monospace" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'Courier New, Courier, monospace') { echo 'selected="selected"'; }?>>Courier New, Courier, monospace</option>
                <option value="Lucida Console, Monaco, monospace" <?php if(esc_attr($item['cpytheadertextfontfamily']) == 'Lucida Console, Monaco, monospace') { echo 'selected="selected"'; }?>>Lucida Console, Monaco, monospace</option>
            </select>
        </td>
        <th valign="top" scope="row">
            <label for="cpytheadertextfontsize"><?php _e('Header Text Font Size', 'covert_playert')?></label>
        </th>
        <td>
        	<select name="cpytheadertextfontsize" id="cpytheadertextfontsize" style="width:100px;">
                    <option value="6" <?php if(esc_attr($item['cpytheadertextfontsize']) == '6') { echo 'selected="selected"'; }?>>6px</option>  
                    <option value="7" <?php if(esc_attr($item['cpytheadertextfontsize']) == '7') { echo 'selected="selected"'; }?>>7px</option>
                    <option value="8" <?php if(esc_attr($item['cpytheadertextfontsize']) == '8') { echo 'selected="selected"'; }?>>8px</option>
                    <option value="9" <?php if(esc_attr($item['cpytheadertextfontsize']) == '9') { echo 'selected="selected"'; }?>>9px</option>                            
                    <option value="10" <?php if(esc_attr($item['cpytheadertextfontsize']) == '10') { echo 'selected="selected"'; }?>>10px</option>  
                    <option value="11" <?php if(esc_attr($item['cpytheadertextfontsize']) == '11') { echo 'selected="selected"'; }?>>11px</option>
                    <option value="12" <?php if(esc_attr($item['cpytheadertextfontsize']) == '12') { echo 'selected="selected"'; }?>>12px</option>
                    <option value="14" <?php if(esc_attr($item['cpytheadertextfontsize']) == '14') { echo 'selected="selected"'; }?>>14px</option>                            
                    <option value="16" <?php if(esc_attr($item['cpytheadertextfontsize']) == '16') { echo 'selected="selected"'; }?>>16px</option>  
                    <option value="18" <?php if(esc_attr($item['cpytheadertextfontsize']) == '18') { echo 'selected="selected"'; }?>>18px</option>  
                    <option value="20" <?php if(esc_attr($item['cpytheadertextfontsize']) == '20') { echo 'selected="selected"'; }?>>20px</option>
                    <option value="22" <?php if(esc_attr($item['cpytheadertextfontsize']) == '22' || esc_attr($item['cpytheadertextfontsize']) == '') { echo 'selected="selected"'; }?>>22px</option>
                    <option value="24" <?php if(esc_attr($item['cpytheadertextfontsize']) == '24') { echo 'selected="selected"'; }?>>24px</option>                            
                    <option value="26" <?php if(esc_attr($item['cpytheadertextfontsize']) == '26') { echo 'selected="selected"'; }?>>26px</option>  
                    <option value="28" <?php if(esc_attr($item['cpytheadertextfontsize']) == '28') { echo 'selected="selected"'; }?>>28px</option>                                    
                    <option value="30" <?php if(esc_attr($item['cpytheadertextfontsize']) == '30') { echo 'selected="selected"'; }?>>30px</option>
                    <option value="32" <?php if(esc_attr($item['cpytheadertextfontsize']) == '32') { echo 'selected="selected"'; }?>>32px</option>                            
                    <option value="34" <?php if(esc_attr($item['cpytheadertextfontsize']) == '34') { echo 'selected="selected"'; }?>>34px</option>  
                    <option value="36" <?php if(esc_attr($item['cpytheadertextfontsize']) == '36') { echo 'selected="selected"'; }?>>36px</option>  
                    <option value="38" <?php if(esc_attr($item['cpytheadertextfontsize']) == '38') { echo 'selected="selected"'; }?>>38px</option>
                    <option value="40" <?php if(esc_attr($item['cpytheadertextfontsize']) == '40') { echo 'selected="selected"'; }?>>40px</option>
            </select>
        </td>
    </tr>
    <tr class="form-field">
    <th valign="top" scope="row">
            <label for="enableskip"><?php _e('Header Text Font Color', 'covert_playert')?></label>
        </th>
        <td>
        	<input type="text" value="<?php if(esc_attr($item['cpytheadertextfontcolor']) == '') {echo '#ffffff';} else { echo esc_attr($item['cpytheadertextfontcolor']); }?>" class="my-color-field" name="cpytheadertextfontcolor" id="cpytheadertextfontcolor" />
        </td>
         <th valign="top" scope="row">
            
        </th>
        <td>
        	
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpyttextboxbordercolor"><?php _e('Text Box Border Color', 'covert_playert')?></label>
        </th>
        <td>
           <input type="text" value="<?php if(esc_attr($item['cpyttextboxbordercolor']) == '') {echo '#ffffff';} else { echo esc_attr($item['cpyttextboxbordercolor']); }?>" class="my-color-field" name="cpyttextboxbordercolor" id="cpyttextboxbordercolor" />
        </td>
        <th valign="top" scope="row">
            <label for="cpytbuttoncolor"><?php _e('Button Color', 'covert_playert')?></label>
        </th>
        <td>
           <input type="text" value="<?php if(esc_attr($item['cpytbuttoncolor']) == '') {echo '#4f4d41';} else { echo esc_attr($item['cpytbuttoncolor']); }?>" class="my-color-field" name="cpytbuttoncolor" id="cpytbuttoncolor" />
        </td>
    </tr>
    <tr class="form-field">
    <th valign="top" scope="row">
            <label for="cpytbuttonhovercolor"><?php _e('Button Hover Color', 'covert_playert')?></label>
        </th>
        <td>
           <input type="text" value="<?php if(esc_attr($item['cpytbuttonhovercolor']) == '') {echo '#4f4d41';} else { echo esc_attr($item['cpytbuttonhovercolor']); }?>" class="my-color-field" name="cpytbuttonhovercolor" id="cpytbuttonhovercolor" />
        </td>
        <th valign="top" scope="row">
            <label for="cpytopacity"><?php _e('Background Opacity', 'covert_playert')?></label>
        </th>
        <td>
           <input id="cpytopacity" name="cpytopacity" type="text" style="width: 95%" value="<?php if(esc_attr($item['cpytopacity']) == '') {echo '0.82';} else { echo esc_attr($item['cpytopacity']); }?>"
                   size="50" class="code">
        </td>
    </tr>
    
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytoptinlocation"><?php _e('Optin Location', 'covert_playert')?></label>
        </th>
        <td>
            <input type="radio" value="top" name="cpytoptinlocation" id="cpytoptinlocation" style="width:3%;" onclick="handleClicking(this);" <?php if(esc_attr($item['cpytoptinlocation']) == 'top') { echo 'checked="checked"'; }?> > Top <input type="radio" value="middle" name="cpytoptinlocation" id="cpytoptinlocation" style="width:3%;" onclick="handleClicking(this);" <?php if(esc_attr($item['cpytoptinlocation']) == 'middle' || esc_attr($item['cpytoptinlocation']) == '') { echo 'checked="checked"'; }?>> Middle <input type="radio" value="bottom" name="cpytoptinlocation" id="cpytoptinlocation" style="width:3%;" onclick="handleClicking(this);" <?php if(esc_attr($item['cpytoptinlocation']) == 'bottom') { echo 'checked="checked"'; }?>> Bottom
        </td>
        <th valign="top" scope="row">
            <label for="enableskip"><?php _e('Enable Skip', 'covert_playert')?></label>
        </th>
        <td>
        	<select name="enableskip" id="enableskip" style="width:100px;">
                <option value="no" <?php if(esc_attr($item['enableskip']) == 'no') { echo 'selected="selected"'; }?>>No</option>
                <option value="yes" <?php if(esc_attr($item['enableskip']) == 'yes') { echo 'selected="selected"'; }?>>Yes</option>
            </select>
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytbuttontext"><?php _e('Play Button Text', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytbuttontext" name="cpytbuttontext" type="text" style="width: 95%" value="<?php if(esc_attr($item['cpytbuttontext']) == '') { echo 'PLAY'; } else { echo esc_attr($item['cpytbuttontext']); } ?>" size="50" class="code">
        </td>
        <th valign="top" scope="row">
            <label for="cpytoverlayimageurl"><?php _e('Overlay Image URL', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytoverlayimageurl" name="cpytoverlayimageurl" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytoverlayimageurl']); ?>" size="50" class="code"> (Default is Black Color)
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytoptinjustbottom"><?php _e('Bottom/Top Optin Overlay', 'covert_playert')?></label>
        </th>
        <td>
           <input type="radio" value="none" name="cpytoptinjustbottom" id="cpytoptinjustbottom" style="width:3%;" <?php if(esc_attr($item['cpytoptinjustbottom']) == 'none') { echo 'checked="checked"'; }?> > None <input type="radio" value="true" name="cpytoptinjustbottom" id="cpytoptinjustbottom" style="width:3%;" <?php if(esc_attr($item['cpytoptinjustbottom']) == 'true') { echo 'checked="checked"'; }?> > Bottom <input type="radio" value="toptrue" name="cpytoptinjustbottom" id="cpytoptinjustbottom" style="width:3%;" <?php if(esc_attr($item['cpytoptinjustbottom']) == 'toptrue') { echo 'checked="checked"'; }?> > Top
        
        </td>
        <th valign="top" scope="row" id="boo1">
            <label for="cpytbottomoverlayheight"><?php _e('Bottom/Top Optin Overlay Height (%)', 'covert_playert')?></label>
        </th>
        <td id="boo2">
        <input id="cpytbottomoverlayheight" name="cpytbottomoverlayheight" type="text" style="width: 95%" value="<?php if(esc_attr($item['cpytbottomoverlayheight']) == '') { echo '20'; } else { echo esc_attr($item['cpytbottomoverlayheight']); } ?>" size="50" class="code">
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytoptinlocation"><?php _e('Show Optin When', 'covert_playert')?></label>
        </th>
        <td colspan="3">
        <input type="checkbox" value="true" name="cpytoptinplacestart" id="cpytoptinplacestart" <?php if(esc_attr($item['cpytoptinplacestart']) == 'true') { echo 'checked="checked"'; }?> style="width:3%;"> Video Start
        <input type="checkbox" value="true" name="cpytoptinplaceend" id="cpytoptinplaceend" <?php if(esc_attr($item['cpytoptinplaceend']) == 'true') { echo 'checked="checked"'; }?> style="width:3%;"> Video End
        <input type="checkbox" value="true" name="cpytoptinplacepause" id="cpytoptinplacepause" <?php if(esc_attr($item['cpytoptinplacepause']) == 'true') { echo 'checked="checked"'; }?> style="width:3%;"> Video Paused
        <input type="checkbox" value="true" name="cpytoptinplacespecific" id="cpytoptinplacespecific" <?php if(esc_attr($item['cpytoptinplacespecific']) == 'true') { echo 'checked="checked"'; }?> style="width:3%;"> At Specific Time <input id="cpytoptinplacespecifictime" name="cpytoptinplacespecifictime" type="text" style="width: 10%" value="<?php echo esc_attr($item['cpytoptinplacespecifictime']);?>" size="50" class="code"> Seconds
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytenablepoweredby"><?php _e('Powered By Logo', 'covert_playert')?></label>
        </th>
        <td>
            <input type="checkbox" value="true" name="cpytenablepoweredby" id="cpytenablepoweredby" <?php if(esc_attr($item['cpytenablepoweredby']) == 'true') { echo 'checked="checked"'; }?> onclick="handleClicks(this);" style="width:3%;"> Enable Powered By Logo
        </td>
        <th valign="top" scope="row" id="power1" style=" <?php if(esc_attr($item['cpytenablepoweredby']) != 'true') { echo 'display:none;'; }?>">
            <label for="cpytpoweredbylinkurl"><?php _e('Covert Player Affiliate Link (make money)', 'covert_playert')?></label>
        </th>
        <td id="power2" style=" <?php if(esc_attr($item['cpytenablepoweredby']) != 'true') { echo 'display:none;'; }?>">
            <input id="cpytpoweredbylinkurl" name="cpytpoweredbylinkurl" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytpoweredbylinkurl']); ?>" size="50" class="code">
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytenableskinoptin"><?php _e('Skin', 'covert_playert')?></label>
        </th>
        <td>
            <input type="checkbox" value="true" name="cpytenableskinoptin" id="cpytenableskinoptin" <?php if(esc_attr($item['cpytenableskinoptin']) == 'true') { echo 'checked="checked"'; }?> onclick="handleClicksskin(this);" style="width:3%;"> Enable Skin For Video
        </td>
        <th valign="top" scope="row" id="optskin1" style=" <?php if(esc_attr($item['cpytenableskinoptin']) != 'true') { echo 'display:none;'; }?>">
            <label for="cpytskinoptinsizes"><?php _e('Skin Sizes', 'covert_playert')?></label>
        </th>
        <td id="optskin2" style=" <?php if(esc_attr($item['cpytenableskinoptin']) != 'true') { echo 'display:none;'; }?>">
            <select name="cpytskinoptinsizes" id="cpytskinoptinsizes" style="width:130px">
                                <option value="853480" <?php if(esc_attr($item['cpytskinoptinsizes']) == '853480') { echo 'selected="selected"'; }?>>(16:9) 853 * 480</option>
                                <option value="640360" <?php if(esc_attr($item['cpytskinoptinsizes']) == '640360') { echo 'selected="selected"'; }?>>(16:9) 640 * 360</option>  
                                <option value="560315" <?php if(esc_attr($item['cpytskinoptinsizes']) == '560315') { echo 'selected="selected"'; }?>>(16:9) 560 * 315</option>
                                <option value="800600" <?php if(esc_attr($item['cpytskinoptinsizes']) == '800600') { echo 'selected="selected"'; }?>>(4:3) 800 * 600</option> 
                                <option value="640480" <?php if(esc_attr($item['cpytskinoptinsizes']) == '640480') { echo 'selected="selected"'; }?>>(4:3) 640 * 480</option>
                                <option value="560420" <?php if(esc_attr($item['cpytskinoptinsizes']) == '560420') { echo 'selected="selected"'; }?>>(4:3) 560 * 420</option> 
                                <option value="480360" <?php if(esc_attr($item['cpytskinoptinsizes']) == '480360') { echo 'selected="selected"'; }?>>(4:3) 480 * 360</option>
                                <option value="480270" <?php if(esc_attr($item['cpytskinoptinsizes']) == '480270') { echo 'selected="selected"'; }?>>(4:3) 480 * 270</option>                               
                            </select>
        </td>
    </tr>
    <tr class="form-field">
        <th valign="top" scope="row">
            <label for="cpytflowtube"><?php _e('Video Type', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input type="radio" value="YouTube" name="cpytflowtube" id="cpytflowtube" style="width:3%;" onclick="handleClicking(this);" <?php if(esc_attr($item['cpytflowtube']) == 'YouTube') { echo 'checked="checked"'; }?> > YouTube <input type="radio" value="FlowPlayer" name="cpytflowtube" id="cpytflowtube" style="width:3%;" onclick="handleClicking(this);" <?php if(esc_attr($item['cpytflowtube']) == 'FlowPlayer') { echo 'checked="checked"'; }?>> Self-Hosted
        </td>
    </tr>
    <tr class="form-field" id="cptrr1" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            
        </th>
        <td colspan="3">
            <h1 style="color:#21759B;"><u> YouTube Settings </u></h1>
        </td>
    </tr>
    <tr class="form-field" id="cptrr2" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="youtubevideoid"><?php _e('Youtube Video ID', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input id="youtubevideoid" name="youtubevideoid" type="text" style="width: 95%" value="<?php echo esc_attr($item['youtubevideoid']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr3" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytvideowidth"><?php _e('Video Width', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytvideowidth" name="cpytvideowidth" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytvideowidth']);?>"
                   size="50" class="code">
        </td>
        <th valign="top" scope="row">
            <label for="cpytvideoheight"><?php _e('Video Height', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytvideoheight" name="cpytvideoheight" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytvideoheight']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr4" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytautohide"><?php _e('Auto Hide', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytautohide" id="cpytautohide" style="width:100px;" disabled="disabled">
                                <option value="0" <?php if(esc_attr($item['cpytautohide']) == '0') { echo 'selected="selected"'; }?>>No</option>
                                <option value="1" selected="selected" <?php //if(esc_attr($item['cpytautohide']) == '1') { echo 'selected="selected"'; }?>>Yes</option>
                            </select>
        </td>
        <th valign="top" scope="row">
            <label for="cpytautoplay"><?php _e('Auto Play', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytautoplay" id="cpytautoplay" style="width:100px;">
                                <option value="0" <?php if(esc_attr($item['cpytautoplay']) == '0') { echo 'selected="selected"'; }?>>No</option>
                                <option value="1" <?php if(esc_attr($item['cpytautoplay']) == '1') { echo 'selected="selected"'; }?>>Yes</option>
                            </select>
        </td>
    </tr>
    <tr class="form-field" id="cptrr5" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytcontrols"><?php _e('Controls', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytcontrols" id="cpytcontrols" style="width:100px;">
                                <option value="0" <?php if(esc_attr($item['cpytcontrols']) == '0') { echo 'selected="selected"'; }?>>No</option>
                                <option value="1" <?php if(esc_attr($item['cpytcontrols']) == '1') { echo 'selected="selected"'; }?>>Yes</option>
                            </select>
        </td>
        <th valign="top" scope="row">
            <label for="cpytrelatedvideos"><?php _e('Related Videos', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytrelatedvideos" id="cpytrelatedvideos" style="width:100px;">
                                <option value="0" <?php if(esc_attr($item['cpytrelatedvideos']) == '0') { echo 'selected="selected"'; }?>>No</option>
                                <option value="1" <?php if(esc_attr($item['cpytrelatedvideos']) == '1') { echo 'selected="selected"'; }?>>Yes</option>
                            </select>
        </td>
    </tr>
    <tr class="form-field" id="cptrr6" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytshowlogo"><?php _e('Show Logo', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytshowlogo" id="cpytshowlogo" style="width:100px;">
                                <option value="1" <?php if(esc_attr($item['cpytshowlogo']) == '1') { echo 'selected="selected"'; }?>>No</option>
                                <option value="0" <?php if(esc_attr($item['cpytshowlogo']) == '0') { echo 'selected="selected"'; }?>>Yes</option>
                            </select>
        </td>
        <th valign="top" scope="row">
            <label for="cpytshowtitle"><?php _e('Show Title', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytshowtitle" id="cpytshowtitle" style="width:100px;">
                                <option value="0" <?php if(esc_attr($item['cpytshowtitle']) == '0') { echo 'selected="selected"'; }?>>No</option>
                                <option value="1" <?php if(esc_attr($item['cpytshowtitle']) == '1') { echo 'selected="selected"'; }?>>Yes</option>
                            </select>
        </td>
    </tr>
    <tr class="form-field" id="cptrr7" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpyttheme"><?php _e('Theme', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpyttheme" id="cpyttheme" style="width:100px;">
                                <option value="dark" <?php if(esc_attr($item['cpyttheme']) == 'dark') { echo 'selected="selected"'; }?>>Dark</option>
                                <option value="light" <?php if(esc_attr($item['cpyttheme']) == 'light') { echo 'selected="selected"'; }?>>Light</option>
                            </select>
        </td>
        <th valign="top" scope="row">
            <label for="cpythighquality"><?php _e('High Quality', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpythighquality" id="cpythighquality" style="width:100px;">
            					<option value="no" <?php if(esc_attr($item['cpythighquality']) == '0') { echo 'selected="selected"'; }?>>No</option>
                                <option value="hd720" <?php if(esc_attr($item['cpythighquality']) == 'hd720') { echo 'selected="selected"'; }?>>hd 720</option>
                                <option value="hd1080" <?php if(esc_attr($item['cpythighquality']) == 'hd1080') { echo 'selected="selected"'; }?>>hd 1080</option>
                            </select>
                            
        </td>
    </tr>
    <tr class="form-field" id="cptrr71" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytstartpoint"><?php _e('Video Start Point(In Secs)', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytstartpoint" name="cpytstartpoint" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytstartpoint']);?>"
                   size="50" class="code">
        </td>
        <th valign="top" scope="row">
            <label for="cpytendpoint"><?php _e('Video End Point(In Secs)', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytendpoint" name="cpytendpoint" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytendpoint']);?>"
                   size="50" class="code">
                            
        </td>
    </tr>
    <tr class="form-field" id="cptrr72" style=" <?php if(esc_attr($item['cpytflowtube']) != 'YouTube') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytshannotaion"><?php _e('Show Annotations', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytshannotaion" id="cpytshannotaion" style="width:100px;">
                                <option value="1" <?php if(esc_attr($item['cpytshannotaion']) == '1') { echo 'selected="selected"'; }?>>Yes</option>
                                <option value="3" <?php if(esc_attr($item['cpytshannotaion']) == '3') { echo 'selected="selected"'; }?>>No</option>
                            </select>
        </td>
        <th valign="top" scope="row">
            <label for="cpytaspectratiores"><?php _e('Video Aspect Ratio', 'covert_playert')?></label>
        </th>
        <td>
            <select name="cpytaspectratiores" id="cpytaspectratiores" style="width:100px;">
                                <option value="1" <?php if(esc_attr($item['cpytaspectratiores']) == '1') { echo 'selected="selected"'; }?>>16 : 9 Ratio</option>
                                <option value="2" <?php if(esc_attr($item['cpytaspectratiores']) == '2') { echo 'selected="selected"'; }?>>4 : 3 Ratio</option>
                                <option value="3" <?php if(esc_attr($item['cpytaspectratiores']) == '3') { echo 'selected="selected"'; }?>>1 : 1 Ratio</option>
                            </select>
        </td>
    </tr>
    <tr class="form-field" id="cptrr8" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            
        </th>
        <td colspan="3">
            <h1 style="color:#21759B;"><u> Self-Hosted Settings </u></h1>
        </td>
    </tr>
    <tr class="form-field" id="cptrr9" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytflowwebm"><?php _e('WEBM URL', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input id="cpytflowwebm" name="cpytflowwebm" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytflowwebm']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr10" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytflowmp4"><?php _e('MP4 URL', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input id="cpytflowmp4" name="cpytflowmp4" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytflowmp4']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr11" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytflowogv"><?php _e('OGV URL', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input id="cpytflowogv" name="cpytflowogv" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytflowogv']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr111" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytflowflash"><?php _e('Flash Video mp4 / flv URL (For Flash Back Support)', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input id="cpytflowflash" name="cpytflowflash" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytflowflash']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr1111" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
    <th valign="middle" scope="row">
            <label><?php _e('Custom Logo Location', 'covert_playert')?></label>
        </th>
        <td colspan="3">
           <input type="radio" value="leftbottom" name="cpytlogoposition" id="cpytlogoposition" style="width:3%;" <?php if(esc_attr($item['cpytlogoposition']) == 'leftbottom' || esc_attr($item['cpytlogoposition']) == '') { echo 'checked="checked"'; }?> >Left Bottom
            <input type="radio" value="rightbottom" name="cpytlogoposition" id="cpytlogoposition" style="width:3%;" <?php if(esc_attr($item['cpytlogoposition']) == 'rightbottom') { echo 'checked="checked"'; }?>>Right Bottom
        </td>
        </tr>
    <tr class="form-field" id="cptrr12" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytflowvidwidth"><?php _e('Video Width', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytflowvidwidth" name="cpytflowvidwidth" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytflowvidwidth']);?>"
                   size="50" class="code">
        </td>
        <th valign="top" scope="row">
            <label for="cpytvideoheight"><?php _e('Video Height', 'covert_playert')?></label>
        </th>
        <td>
            <input id="cpytflowvidheight" name="cpytflowvidheight" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytflowvidheight']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr13" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytcontroltype"><?php _e('Control Type', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input type="radio" value="minimalist" name="cpytcontroltype" id="cpytcontroltype" style="width:3%;" <?php if(esc_attr($item['cpytcontroltype']) == 'minimalist' || esc_attr($item['cpytcontroltype']) == '') { echo 'checked="checked"'; }?> >Minimalist
            <input type="radio" value="functional" name="cpytcontroltype" id="cpytcontroltype" style="width:3%;" <?php if(esc_attr($item['cpytcontroltype']) == 'functional') { echo 'checked="checked"'; }?>>Functional
            <input type="radio" value="playful" name="cpytcontroltype" id="cpytcontroltype" style="width:3%;" <?php if(esc_attr($item['cpytcontroltype']) == 'playful') { echo 'checked="checked"'; }?>>Playful
        </td>
    </tr>
    <tr class="form-field" id="cptrr14" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label><?php _e('Elements', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input type="checkbox" value="hideme" name="cpythidecontrolbar" id="cpythidecontrolbar" <?php if(esc_attr($item['cpythidecontrolbar']) == 'hideme') { echo 'checked="checked"'; }?> style="width:3%;" onchange="disablemores()">Hide Controlbar
            <input type="checkbox" value="nocolor" style="width:3%;" name="cpytnocontrolbar" id="cpytnocontrolbar" <?php if(esc_attr($item['cpytnocontrolbar']) == 'nocolor') { echo 'checked="checked"'; }?>>No Controlbar Background Color
            <input type="checkbox" value="play-button" style="width:3%;" name="cpytplaybuttonclass" id="cpytplaybuttonclass" <?php if(esc_attr($item['cpytplaybuttonclass']) == 'play-button') { echo 'checked="checked"'; }?>>Play Button
            <input type="checkbox" value="aside-time" style="width:3%;" name="cpytasidetimeclass" id="cpytasidetimeclass" <?php if(esc_attr($item['cpytasidetimeclass']) == 'aside-time') { echo 'checked="checked"'; }?>>Time on Top/Left
            <input type="checkbox" value="color-light" style="width:3%;" name="cpytcolorlightclass" id="cpytcolorlightclass" <?php if(esc_attr($item['cpytcolorlightclass']) == 'color-light') { echo 'checked="checked"'; }?>>Dark Iconset
            <input type="checkbox" value="no-time" style="width:3%;" name="cpytnotimeclass" id="cpytnotimeclass" <?php if(esc_attr($item['cpytnotimeclass']) == 'no-time') { echo 'checked="checked"'; }?>>Hide Time
            <input type="checkbox" value="no-volume" style="width:3%;" name="cpytnovolumeclass" id="cpytnovolumeclass" <?php if(esc_attr($item['cpytnovolumeclass']) == 'no-volume') { echo 'checked="checked"'; }?>>Hide Volume
            <input type="checkbox" value="no-mute" style="width:3%;" name="cpytnomuteclass" id="cpytnomuteclass" <?php if(esc_attr($item['cpytnomuteclass']) == 'no-mute') { echo 'checked="checked"'; }?>>Hide Volume and Mute
            <input type="checkbox" value="fixed-controls" style="width:3%;" name="cpytfixedcontrolsclass" id="cpytfixedcontrolsclass" <?php if(esc_attr($item['cpytfixedcontrolsclass']) == 'fixed-controls') { echo 'checked="checked"'; }?>>Controlbar Below
            <input type="checkbox" value="no-toggle" style="width:3%;" name="cpytnotoggleclass" id="cpytnotoggleclass" <?php if(esc_attr($item['cpytnotoggleclass']) == 'no-toggle') { echo 'checked="checked"'; }?>>No Autohide
            <input type="checkbox" value="preload" style="width:3%;" name="cpytenablepreload" id="cpytenablepreload" <?php if(esc_attr($item['cpytenablepreload']) == 'preload') { echo 'checked="checked"'; }?>>Enable Preload
            <input type="checkbox" value="transparent" style="width:3%;" name="cpyttransparent" id="cpyttransparent" <?php if(esc_attr($item['cpyttransparent']) == 'transparent') { echo 'checked="checked"'; }?>>Transparent Controlbar
            <input type="checkbox" value="embed" style="width:3%;" name="cpytembedding" id="cpytembedding" <?php if(esc_attr($item['cpytembedding']) == 'embed') { echo 'checked="checked"'; }?>>Show Embed
            <input type="checkbox" value="full" style="width:3%;" name="cpytfullscreen" id="cpytfullscreen" <?php if(esc_attr($item['cpytfullscreen']) == 'full') { echo 'checked="checked"'; }?>>Show Fullscreen
        </td>
    </tr>
    <tr class="form-field" id="cptrr15" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytcontrolbarcolor"><?php _e('Controlbar Color', 'covert_playert')?></label>
        </th>
        <td>
           <input type="text" value="<?php if(esc_attr($item['cpytcontrolbarcolor']) == '') {echo '#000000';} else { echo esc_attr($item['cpytcontrolbarcolor']); }?>" class="my-color-field" name="cpytcontrolbarcolor" id="cpytcontrolbarcolor" />
        </td>
        <th valign="top" scope="row">
            <label for="cpyttimelinecolor"><?php _e('Timeline Color', 'covert_playert')?></label>
        </th>
        <td>
           <input type="text" value="<?php if(esc_attr($item['cpyttimelinecolor']) == '') {echo '#000000';} else { echo esc_attr($item['cpyttimelinecolor']); }?>" class="my-color-field" name="cpyttimelinecolor" id="cpyttimelinecolor" />
        </td>
    </tr>
    <tr class="form-field" id="cptrr16" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytprogresscolor"><?php _e('Progress Color', 'covert_playert')?></label>
        </th>
        <td>
           <input type="text" value="<?php if(esc_attr($item['cpytprogresscolor']) == '') {echo '#DB0000';} else { echo esc_attr($item['cpytprogresscolor']); }?>" class="my-color-field" name="cpytprogresscolor" id="cpytprogresscolor" />
        </td>
        <th valign="top" scope="row">
            <label for="cpytbuffercolor"><?php _e('Buffer Color', 'covert_playert')?></label>
        </th>
        <td>
           <input type="text" value="<?php if(esc_attr($item['cpytbuffercolor']) == '') {echo '#F9F9F9';} else { echo esc_attr($item['cpytbuffercolor']); }?>" class="my-color-field" name="cpytbuffercolor" id="cpytbuffercolor" />
        </td>
    </tr>
    <tr class="form-field" id="cptrr180" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label><?php _e('Scroll Autoplay', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input type="checkbox" value="true" style="width:3%;" name="cpytscrollautoplay" id="cpytscrollautoplay" <?php if(esc_attr($item['cpytscrollautoplay']) == 'true') { echo 'checked="checked"'; }?>> Enable Scroll Autoplay (Make sure splash image url is empty for that feature)</td>
    </tr>
     <tr class="form-field" id="cptrr17" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label for="cpytsplashurl"><?php _e('Splash Image URL', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input id="cpytsplashurl" name="cpytsplashurl" type="text" style="width: 95%" value="<?php echo esc_attr($item['cpytsplashurl']);?>"
                   size="50" class="code">
        </td>
    </tr>
    <tr class="form-field" id="cptrr18" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label><?php _e('Video Attributes', 'covert_playert')?></label>
        </th>
        <td colspan="3">
            <input type="checkbox" value="true" style="width:3%;" name="cpytautoplayflow" id="cpytautoplayflow" <?php if(esc_attr($item['cpytautoplayflow']) == 'true') { echo 'checked="checked"'; }?>>Autoplay<input type="checkbox" value="true" style="width:3%;" name="cpytloop" id="cpytloop" <?php if(esc_attr($item['cpytloop']) == 'true') { echo 'checked="checked"'; }?>>Loop
        </td>
    </tr>
     <tr class="form-field" id="cptrr19" style=" <?php if(esc_attr($item['cpytflowtube']) != 'FlowPlayer') { echo 'display:none;'; }?>;">
        <th valign="top" scope="row">
            <label><?php _e('RTMP (Server Connection URL)', 'covert_playert')?></label>
        </th>
        <td colspan="3">
           <input id="cpytrtmpurl" name="cpytrtmpurl" type="text" style="width: 98%" value="<?php echo esc_attr($item['cpytrtmpurl']);?>"
                   size="50" class="code"> e.g rtmp://s3b78u0kbtx79q.cloudfront.net/cfx/st/
        </td>
    </tr>
    </tbody>
</table>
<?php
}
function covert_playert_validate_video($item)
{
    $messages = array();
    if (empty($item['name'])) $messages[] = __('Video ID is required', 'covert_playert');
    //if (empty($item['headertext'])) $messages[] = __('Header Text is required', 'covert_playert');
    //if (!ctype_digit($item['enableskip'])) $messages[] = __('Age in wrong format', 'covert_playert');
	
    //if(!empty($item['enableskip']) && !absint(intval($item['enableskip'])))  $messages[] = __('Age can not be less than zero');
    //if(!empty($item['enableskip']) && !preg_match('/[0-9]+/', $item['enableskip'])) $messages[] = __('Age must be number');
    //...
    if (empty($messages)) return true;
    return implode('<br />', $messages);
}
function cpDuplicateMySQLRecord ($table, $key_field, $key_value) {
// Get the names of all fields/columns in the table
global $wpdb;
$firat_table = $wpdb->prefix . 'cptrsubmenu';
	$eoboptinmaxid = $wpdb->get_var( "SELECT max(id) FROM $firat_table" );
	if($eoboptinmaxid == '' || $eoboptinmaxid == '0') { $eoboptinmaxid = '0'; }
	$eoboptinmaxids = (int)$eoboptinmaxid + 1;
	$eobmylatestcpvidid = 'cpvideo'. $eoboptinmaxids;
	$eoboptinmaxidname = $wpdb->get_var( "SELECT name FROM $firat_table where id=".$key_value );
	$eoboptinmaxidtitle = $wpdb->get_var( "SELECT videotitle FROM $firat_table where id=".$key_value );
	$eoboptinmaxidtitle .= '-copy';
$query = 'SHOW COLUMNS FROM ' . $table . ';';
$results = mysql_query($query);
// Generate the duplication query with those fields except the key
$query = 'INSERT INTO ' . $table . ' (SELECT ';

while ($row = mysql_fetch_array($results)) {
	if ($row[0] == $key_field) {
		$query .= 'NULL, ';
	} else {
		$query .= $row[0] . ', ';
	} 
	 // END IF
} // END WHILE

$query = substr($query, 0, strlen($query) - 2);

$query .= ' FROM ' . $table . ' WHERE ' . $key_field . ' = "' . $key_value . '")';
//$query1 = str_replace('eoboptin7', 'eoboptin8', $query);
mysql_query($query);
$new_id = mysql_insert_id();
//return $new_id;

$query2 = 'UPDATE ' . $table . ' SET name="'.$eobmylatestcpvidid.'", videotitle="'.$eoboptinmaxidtitle.'" WHERE id='.$new_id;
mysql_query($query2);
// Return the new id
//$new_id = mysql_insert_id();
//return $new_id;
}
function covert_playert_languages()
{
    load_plugin_textdomain('covert_playert', false, dirname(plugin_basename(__FILE__)));
}
add_action('init', 'covert_playert_languages');