<?php
/*
Plugin Name: Covert Player Pro
Plugin URI: http://www.covertplayer.com
Description: Display youtube, vimeo, Self Hosted(FlowPlayer) videos with all available filtrations criterias.
Version: 4.9.3
Author: Mark Dulisse
Author URI: http://www.markdulisse.com/blog/
*/
if ( ! defined( 'WPINC' ) ) {
	die;
}
// change to where is updater for this product placed.
require_once('ga.php');

$api_url_tr = 'http://covertplayer.s3.amazonaws.com/current_covertplayer_pro.txt';

$plugin_slug_tr = 'covertplayer_pro/tr.php';

/*ini_set( "display_errors", 0); 

error_reporting( 0 );*/

$tr_path = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));

$tr_sc = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)) . 'admin/';

$wp_plugin_url_tr = site_url() . '/wp-content/plugins';

define( 'tr_URL', $wp_plugin_url_tr . '/covertplayer_pro' );

$wp_plugin_dir_tr = ABSPATH . 'wp-content/plugins';

define( 'tr_DIR', $wp_plugin_dir_tr . '/covertplayer_pro' );

/*	Register and load javascript

/*-----------------------------------------------------------------------------------*/

function mytr_script() {

	if (!is_admin()) {

		wp_enqueue_script('jquery');

		wp_enqueue_script('json', tr_URL.'/js/json2.js', array('jquery'));

		/* Fix for http://info.privategeek.com/wp-admin
		wp_enqueue_script('fab1', tr_URL.'/js/fancybox/jquery.fancybox-1.3.4.pack.js', array('jquery'),false,true);
		wp_enqueue_script('fab2', tr_URL.'/js/fancybox/jquery.easing-1.3.pack.js', array('jquery'),false,true);*/
		$theme_namecp = get_current_theme();
		if($theme_namecp == 'Thesis')
		{
			wp_enqueue_script('fab1', tr_URL.'/js/fancybox/jquery.fancybox-1.3.4.pack.js', array('jquery'),false,false);
			wp_enqueue_script('fab2', tr_URL.'/js/fancybox/jquery.easing-1.3.pack.js', array('jquery'),false,false);
		}
		wp_enqueue_script('easing2', tr_URL.'/js/js_videos.js', array('jquery'),false,true);

		wp_enqueue_script('easing3', tr_URL.'/tooltip/jquery.hoverIntent.js', array('jquery'));

		wp_enqueue_script('easing4', tr_URL.'/tooltip/jquery.cluetip.js', array('jquery'),false,true);
		wp_enqueue_script('sppyoutubefilesinhead', tr_URL.'/js/youtubefilesinhead.js');
		wp_enqueue_style('trcp_optin_skins', tr_URL."/admin/codes/commercial/trcpoptin_css.css",999);

		wp_enqueue_script('jquery-form');

		wp_enqueue_style('pluginstyle', tr_URL . '/css/style.css', 999);

		wp_enqueue_style('fancy', tr_URL . '/js/fancybox/jquery.fancybox-1.3.4.css', 999);

		wp_enqueue_style('pluginstyle1', tr_URL . '/mytreveal/include/css/style1.css', 999);

		wp_enqueue_style('pluginstyle3', tr_URL.'/tooltip/jquery.cluetip.css', 999);
		
	}

}

function Configure_trcp_js($hook_suffix) {

	wp_enqueue_style( 'wp-color-picker' );

    wp_enqueue_script( 'my-script-handle', plugins_url('my-script.js', __FILE__ ), array( 'wp-color-picker' ), false, true );

	wp_enqueue_script('easing2', tr_URL.'/js/trcp_autoresponder.js', array('jquery'),false,true);

	/*echo '<script type="text/javascript" src="'.WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)).'js/trcp_autoresponder.js"></script>';*/

}

add_action( 'admin_enqueue_scripts', 'Configure_trcp_js' );

//add_action('admin_head', 'Configure_trcp_js');

function cp_global_config_script() {
    cp_global_config_script_helper();
  }

add_action( 'wp_head', 'cp_global_config_script');

function mytr_auth() {

  $returnKey = $_REQUEST['returnKey'];

  $cb_receipt = $_REQUEST['cb_receipt'];

  $HTTP_HOST = $_SERVER['HTTP_HOST']; 

  if (strlen($returnKey) == 32) {

    if ($returnKey == md5($cb_receipt.md5($HTTP_HOST))) {

      update_option('mytr_code', $cb_receipt);

      die('var isValid = true;');

    } else {

      die('alert(Key is invalid.)');

    }

  }

}
if (get_option('mytr_code', '')) {

	add_action('init', 'mytr_script');

	include ( 'admin/codes/tubereveal.php');

	 if (function_exists ('wpoptinpro_unautop')) {

	    add_filter ('widget_text', 'wpoptinpro_unautop');

	  }

	add_filter ('widget_text', 'do_shortcode');

} 

add_action('init', 'mytr_auth', -1000);

function mytr_plugin_admin_menu() { 

  if (!mytr_verification()) {

    add_menu_page('Covert Player Plugin Options', 'Covert Player', 'administrator', 'covertplayerm', 'mytr_not_authorized');

  } else {

    add_menu_page('Covert Player Plugin Options', 'Covert Player', 'activate_plugins', 'covertplayerm', 'cpadmin_settings_page');

	

	add_submenu_page('covertplayerm','Manage Videos', 'Manage Videos',  'activate_plugins', 'videos', 'covert_player_videos_page_handler');

    add_submenu_page('covertplayerm', 'Add/Edit Video', 'Add/Edit Video', 'activate_plugins', 'videos_form', 'covert_player_videos_form_page_handler');

	

	add_submenu_page('covertplayerm','Manage Optins', 'Manage Optins',  'activate_plugins', 'optins', 'covert_player_optins_page_handler');

    add_submenu_page('covertplayerm', 'Add/Edit Optin', 'Add/Edit Optin', 'activate_plugins', 'optins_form', 'covert_player_optins_form_page_handler');

  }  

}

require_once('covertplayersubmenu.php');

require_once('cpsubmenuoptin.php');

function covertp_register_mysettingss() {

	//register our settings

	//register_setting( 'cp-settings-group', 'cp_licence_key' );

	register_setting( 'cp-settings-group', 'cp_logo_url' );

	register_setting( 'cp-settings-group', 'cp_ga_accountid' );

	

	//register_setting('cp-settings-group','trcp_autorespondertitle');

	//register_setting('cp-settings-group','trcp_horizentalautoresponder');

	//register_setting('cp-settings-group','trcp_transparent');

	//register_setting('cp-settings-group','trcp_autorespondercode');

	//register_setting('cp-settings-group','trcp_showname');

	//register_setting('cp-settings-group','trcp_namefield');

	//register_setting('cp-settings-group','trcp_namefieldtext');

	//register_setting('cp-settings-group','trcp_showemail');

	/*register_setting('cp-settings-group','trcp_emailfield');

	register_setting('cp-settings-group','trcp_emailfieldtext');

	register_setting('cp-settings-group','trcp_posturl');

	register_setting('cp-settings-group','trcp_formhiddenfields');*/

}

add_action( 'admin_init', 'covertp_register_mysettingss' );

function cpadmin_settings_page() {

?>

<div class="wrap">

<h2>Covert Player</h2>

<p>Flow Player Logo Settings: To use your own logo image enter logo url below.</p>

<form method="post" action="options.php">

    <?php settings_fields( 'cp-settings-group' ); ?>

    <?php //do_settings( 'cp-settings-group' ); ?>

    <table class="form-table"> 

        <tr valign="top">

        <th scope="row">Logo URL</th>

        <td><input type="text" name="cp_logo_url" value="<?php echo get_option('cp_logo_url'); ?>" size="60" /></td>

        </tr>

        

        <tr valign="top">

        <th scope="row">Google Analytics Account ID:</th>

        <td><input type="text" name="cp_ga_accountid" value="<?php echo get_option('cp_ga_accountid'); ?>" /></td>

        </tr>

         

    </table>

    

    <?php submit_button(); ?>

</form>

</div>

<?php }

function mytr_plugin_admin_options() {

    echo '<p>Thank you for activation.</p>';

    cpadmin_settings_page();

}

function mytr_not_authorized() {

  if (mytr_activation_form()) {

    echo '<p>Activation finished successfully. Thank you.</p>';

  } else {

    echo '<p>Activation finished with error. Please mail <a href="mailto:support@covertplayer.com">support@covertplayer.com</a>.</p>';

  }

}

function mytr_verification() {

  $key = get_option('mytr_code', false);

  if ($key) {

    $url = 'http://';

    $url .= 'www.covertplayer.com';

    $url .= '/lgs/verify.php?cb_receipt='.$key.'&cpid='.$_SERVER["HTTP_HOST"].'&domain='.$_SERVER["HTTP_HOST"].'&product_id[]=1&product_id[]=2&product_id[]=3';

    wp_remote_get($url);

    $content = wp_remote_get($url);

    if (is_wp_error($content)) {

      print "Problem to access license server. ".$content->get_error_message();

      return false;

    } else  {

      $content = wp_remote_retrieve_body($content);

      if (md5($key.$_SERVER["HTTP_HOST"]) == $content) {

        return true;

      } else {

        return false;

      }

    }  

  } else {

    return false;

  }

}

function mytr_show_activation_form() {

  echo '<script src="'.tr_URL.'/js/js_lgs.js"></script>';

  echo '<div class="wrap"><h2>Covert Player plugin.</h2>';

  echo '<p>Your plugin isn\'t activated. Please enter activation key.</p>';

  echo '<input type="hidden" name="cpid" id="cpid" value="'.md5($_SERVER["HTTP_HOST"]).'" />';

  echo '<form method="POST"><b>Activation code: </b><input type="text" name="activation_key" id="activation_key" value="" /><input type="submit" value="Activate" id="activate"></form>';

  echo '<p>Activation key is emailed to you after purchase</p>';

  echo '<p>If you have problems with activation key contact support at <a href="mailto:support@covertplayer.com">support@covertplayer.com</a></p></div>';

}

function mytr_activation_form(){

  if (count($_POST)) {

    $url = 'http://';

    $url .= 'www.covertplayer.com';

    $url .= '/lgs/verify.php?cb_receipt='.$_POST['activation_key'].'&product_id[]=1&product_id[]=2&product_id[]=3&cpid='.$_SERVER["HTTP_HOST"];

    wp_remote_get($url);

    $content = wp_remote_get($url);

    if (is_wp_error($content)) {

      print "Problem to access license server. ".$content->get_error_message();

    } else  {

      $content = wp_remote_retrieve_body($content);

      if (md5($_POST['activation_key'].$_SERVER["HTTP_HOST"]) == $content) {

        update_option('mytr_code', $_POST['activation_key']);

        return true;

      } else {

        echo '<p style="font-weight: bold; color: red;">Activation code is invalid.</p>';

        die(mytr_show_activation_form());

      }

    }  

  } else {

    mytr_show_activation_form();

    die();

  }

}

  

function mytr_check_for_plugin_update($checked_data) {

  global $api_url_tr, $plugin_slug_tr, $wpdb;

  $current_info = get_plugins();

  $current_info = $current_info[$plugin_slug_tr];

  $current_version = $current_info['Version'];

  if (false && empty($checked_data->checked)) {

    return $checked_data;

  }

    

  $request_args = array(

    'slug' => $plugin_slug_tr,

    'version' => $checked_data->checked[$plugin_slug_tr],

  );

  

  $raw_response = wp_remote_get($api_url_tr);

  if (!is_wp_error($raw_response) && ($raw_response['response']['code'] == 200)) {

    $response = unserialize($raw_response['body']);

  }

  if (version_compare($response->version, $current_version, '>')) {

    $response->new_version = $response->version;

    $response->slug = $plugin_slug_tr;

    if (is_object($response) && !empty($response)) {

      $checked_data->response[$plugin_slug_tr] = $response;

    }

  }

    

  return $checked_data;

}

 

add_filter('plugins_api', 'mytr_api_call', 10, 3);  

function mytr_api_call($def, $action, $args) {

  global $plugin_slug_tr, $api_url_tr;

  if ($args->slug != $plugin_slug_tr) {

    return false;

  }

  $plugin_info = get_site_transient('update_plugins');

  $current_version = $plugin_info->checked[$plugin_slug_tr];

  $args->version = $current_version;

  $request = wp_remote_get($api_url_tr);

  if (is_wp_error($request)) {

    $res = new WP_Error('plugins_api_failed', __('An Unexpected HTTP Error occurred during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>'), $request->get_error_message());

  } else {

    $res = unserialize($request['body']);

  if ($res === false)

    $res = new WP_Error('plugins_api_failed', __('An unknown error occurred'), $request['body']);

  }

    

  return $res;

}

 

if(defined('ABSPATH') && defined('WPINC')) {

  if (is_admin()) {

    add_action('admin_menu', 'mytr_plugin_admin_menu');

    if (strpos($_SERVER['SCRIPT_FILENAME'], "plugins.php")) {

	delete_option("_site_transient_update_plugins");

    }

    add_filter('pre_set_site_transient_update_plugins', 'mytr_check_for_plugin_update', -1000);

  }

}